Update Fax Contact
curl --request PATCH \
--url https://api.decodahealth.com/fax-contacts/{contact_id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"name": "<string>",
"faxNumber": "<string>",
"organization": "<string>",
"notes": "<string>",
"addressLineOne": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
'import requests
url = "https://api.decodahealth.com/fax-contacts/{contact_id}"
payload = {
"name": "<string>",
"faxNumber": "<string>",
"organization": "<string>",
"notes": "<string>",
"addressLineOne": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
faxNumber: '<string>',
organization: '<string>',
notes: '<string>',
addressLineOne: '<string>',
addressLineTwo: '<string>',
city: '<string>',
state: '<string>',
zipCode: '<string>'
})
};
fetch('https://api.decodahealth.com/fax-contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"faxNumber": "<string>",
"organization": "<string>",
"notes": "<string>",
"addressLineOne": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"createdByUserId": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Faxes
Update Fax Contact
PATCH
/
fax-contacts
/
{contact_id}
Update Fax Contact
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Required string length:
1 - 255Required string length:
1 - 32Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
2Maximum string length:
10Response
Successful Response
⌘I
